package ua.nure.jfn.task1;

public class Demo {
	
	private static void printSep(int k) {
		System.out.printf("%nPart%d =================%n", k);
	}

	public static void main(String[] args) {
		printSep(1);
		Part1.main(new String[] { "A1", "B11 22 C", "D" }); // 34 7

		printSep(2);
		Part2.main(new String[] { "12", "18", "24" }); // 6 72

		printSep(3);
		Part3.main(new String[] { "5" }); // 3 5 7 11 13

		printSep(4);
		Part4.main(new String[] { "360" }); // 360 = 2^3 x 3^2 x 5^1
		
		printSep(5);
		Part5.main(new String[] { "1", "5", "3", "0", "5", "2", "1" }); // 5 3 0 5 2 1
	}

}
